<?php
defined( 'ABSPATH' ) or die( 'Please don&rsquo;t call the plugin directly. Thanks :)' );

///////////////////////////////////////////////////////////////////////////////////////////////////
//Breadcrumbs
///////////////////////////////////////////////////////////////////////////////////////////////////

//Breadcrumbs
function seopress_breadcrumbs_enable_option() {
	$seopress_breadcrumbs_enable_option = get_option("seopress_pro_option_name");
	if ( ! empty ( $seopress_breadcrumbs_enable_option ) ) {
		foreach ($seopress_breadcrumbs_enable_option as $key => $seopress_breadcrumbs_enable_value)
			$options[$key] = $seopress_breadcrumbs_enable_value;
		 if (isset($seopress_breadcrumbs_enable_option['seopress_breadcrumbs_enable'])) { 
		 	return $seopress_breadcrumbs_enable_option['seopress_breadcrumbs_enable'];
		 }
	}
}

//Breadcrumbs separator
function seopress_breadcrumbs_separator_option() {
	$seopress_breadcrumbs_separator_option = get_option("seopress_pro_option_name");
	if ( ! empty ( $seopress_breadcrumbs_separator_option ) ) {
		foreach ($seopress_breadcrumbs_separator_option as $key => $seopress_breadcrumbs_separator_value)
			$options[$key] = $seopress_breadcrumbs_separator_value;
		 if (isset($seopress_breadcrumbs_separator_option['seopress_breadcrumbs_separator'])) { 
		 	return $seopress_breadcrumbs_separator_option['seopress_breadcrumbs_separator'];
		 }
	}
}

if (seopress_breadcrumbs_enable_option() =='1') {
	function seopress_display_breadcrumbs($echo = true) {
		do_action('seopress_breadcrumbs_before_html');

		//Globals
		global $post, $wp_query;

		//Schema.org itemListElement
		$seopress_display_breadcrumbs_open = '<li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="'.seopress_check_ssl().'schema.org/ListItem">';
		$seopress_display_breadcrumbs_open_current = '<li class="breadcrumb-item active" aria-current="page" itemprop="itemListElement" itemscope itemtype="'.seopress_check_ssl().'schema.org/ListItem">';
		$seopress_display_breadcrumbs_close = '</li>';

		//Separator
		if (seopress_breadcrumbs_separator_option()) {
			$seopress_display_breadcrumbs_separator = '&nbsp;'.seopress_breadcrumbs_separator_option().'&nbsp;';
		} else {
			$seopress_display_breadcrumbs_separator = ' - ';
		}

		$seopress_display_breadcrumbs_separator = apply_filters('seopress_pro_breadcrumbs_sep',$seopress_display_breadcrumbs_separator);

		//Blog archive
		if (get_option('show_on_front') =='posts') {
			//Do nothing
		} elseif (get_option('show_on_front') =='page' && get_option('page_for_posts') !='0') {
			if (get_post_meta(get_option('page_for_posts'),'_seopress_robots_breadcrumbs',true) !='') {
				$seopress_display_blog_archive[0] = '<a itemprop="item" href="'.get_the_permalink(get_option('page_for_posts')).'" title="'.wp_strip_all_tags(get_post_meta(get_option('page_for_posts'),'_seopress_robots_breadcrumbs', true)).'">';
				$seopress_display_blog_archive[1] = '<span itemprop="name">'.wp_strip_all_tags(get_post_meta(get_option('page_for_posts'),'_seopress_robots_breadcrumbs', true)).'</span>';
				$seopress_display_blog_archive[2] = '</a>';
			} else {
				$seopress_display_blog_archive[0] = '<a itemprop="item" href="'.get_the_permalink(get_option('page_for_posts')).'" title="'.wp_strip_all_tags(get_the_title(get_option('page_for_posts'))).'">';
				$seopress_display_blog_archive[1] = '<span itemprop="name">'.wp_strip_all_tags(get_the_title(get_option('page_for_posts'))).'</span>';
				$seopress_display_blog_archive[2] = '</a>';
			}
		}

		//Home prefix
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if ( is_plugin_active( 'polylang/polylang.php' )) {
			$real_home = pll_home_url();
		} else {
			$real_home = get_home_url();
		}
		$seopress_display_breadcrumbs = $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.$real_home.'" title="'.get_bloginfo('name').'"><span itemprop="name">'.__('Home','wp-seopress-pro').'</span></a>'.$seopress_display_breadcrumbs_close;
		$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;

		//404
		if (is_404()) {
			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.__('404 error', 'wp-seopress-pro').'</span>'.$seopress_display_breadcrumbs_close;
		}

		//Attachment
		if (is_attachment()) {
			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<span itemprop="name">'.__('Attachments','wp-seopress-pro').'</span>'.$seopress_display_breadcrumbs_close;
			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
		}

		//Single
		if (is_single() && (!is_home() && !is_front_page()) ) {
			if( is_singular( 'tribe_events' ) ){ //Events calendar
				$queried_object = get_queried_object();
				$post_type = get_post_type_object( 'tribe_events' );

				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.esc_url(tribe_get_events_link()).'" title="'.$post_type->labels->name.'"><span itemprop="name">'.$post_type->labels->name.'</span></a>'.$seopress_display_breadcrumbs_close;
				
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;

				if (get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true) !='') {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true)).'</span>'.$seopress_display_breadcrumbs_close;
				} else {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags($queried_object->post_title).'</span>'.$seopress_display_breadcrumbs_close;
				}
				
			} elseif ( 'post' != get_post_type( $post ) ) {
				$post_type = get_post_type_object( get_post_type( $post ) );
				if ($post_type->has_archive =='1' || $post_type->has_archive == true) {
					if (function_exists('is_shop') && 'product' == get_post_type( $post )) {

						//Shop base
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_page_link(get_option( 'woocommerce_shop_page_id' )).'"><span itemprop="name">'.wp_strip_all_tags(get_the_title(get_option( 'woocommerce_shop_page_id' ))).'</span></a>'.$seopress_display_breadcrumbs_close;
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;

           				$product_cat = current(wc_get_product_terms( $post->ID, 'product_cat', array( 'orderby' => 'parent', 'order' => 'DESC' )));

           				$ancestors_cat = get_ancestors($product_cat->term_id, 'product_cat');

						$ancestors_crumb = array_reverse($ancestors_cat);

						if (!empty($ancestors_crumb)) {
							foreach ($ancestors_crumb as $key => $value) {
								$term = get_term($value, 'product_cat');
								$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_term_link($value).'" title="'.wp_strip_all_tags($term->name).'"><span itemprop="name">'.wp_strip_all_tags($term->name).'</span></a>'.$seopress_display_breadcrumbs_close;
								$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
							}
						}

						if ( $product_cat ) {
							$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_term_link($product_cat).'" title="'.$product_cat->name.'"><span itemprop="name">'.$product_cat->name.'</span></a>'.$seopress_display_breadcrumbs_close;
						} else {
							$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags($product_cat->name).'</span>'.$seopress_display_breadcrumbs_close;
						}

					} else {
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<a itemprop="item" href="'.get_post_type_archive_link(get_post_type($post)).'" title="'.$post_type->labels->name.'"><span itemprop="name">'.$post_type->labels->name.'</span></a>'.$seopress_display_breadcrumbs_close;
					}

					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
					
					if (get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true) !='') {
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true)).'</span>'.$seopress_display_breadcrumbs_close;
					} else {
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_the_title()).'</span>'.$seopress_display_breadcrumbs_close;
					}
				} else {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<span itemprop="name">'.$post_type->labels->name.'</span>'.$seopress_display_breadcrumbs_close;
					
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;

					if (get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true) !='') {
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true)).'</span>'.$seopress_display_breadcrumbs_close;
					} else {
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_the_title()).'</span>'.$seopress_display_breadcrumbs_close;
					}
				}
			} else {
				//Blog parent page
				if (get_option('show_on_front') =='page' && get_option('page_for_posts') !='0') {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.$seopress_display_blog_archive[0].$seopress_display_blog_archive[1].$seopress_display_blog_archive[2].$seopress_display_breadcrumbs_close;
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
				}

				$current_cat = current( get_the_category( $post ) );

				$ancestors_cat = get_ancestors($current_cat->term_id, 'category');

				$ancestors_crumb = array_reverse($ancestors_cat);

				if (!empty($ancestors_crumb)) {
					foreach ($ancestors_crumb as $key => $value) {
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_category_link($value).'" title="'.wp_strip_all_tags(get_cat_name( $value )).'"><span itemprop="name">'.wp_strip_all_tags(get_cat_name( $value )).'</span></a>'.$seopress_display_breadcrumbs_close;
						$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
					}
				}

				if ( $current_cat ) {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_term_link($current_cat).'" title="'.$current_cat->name.'"><span itemprop="name">'.$current_cat->name.'</span></a>'.$seopress_display_breadcrumbs_close;
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
				}

				if (get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true) !='') {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true)).'</span>'.$seopress_display_breadcrumbs_close;
				} else {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_the_title()).'</span>'.$seopress_display_breadcrumbs_close;
				}
			}
		}

		//Page
		if (is_page() && (!is_home() && !is_front_page())) {
			if ( $post->post_parent ) { //If post has parent pages
				$parent_id = $post->post_parent;
				while ( $parent_id ) {
					$page          = get_post( $parent_id );
					$parent_id     = $page->post_parent;
					if (get_post_meta($page->ID,'_seopress_robots_breadcrumbs',true) !='') {
						$parent_crumbs[] = array( wp_strip_all_tags(get_post_meta($page->ID,'_seopress_robots_breadcrumbs',true)), get_permalink( $page->ID ));
					} else {
						$parent_crumbs[] = array( get_the_title( $page->ID ), get_permalink( $page->ID ) );
					}
				}

				$parent_crumbs = array_reverse( $parent_crumbs );

				foreach ( $parent_crumbs as $crumb ) {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.$crumb[1].'" title="'.$crumb[0].'"><span itemprop="name">'.$crumb[0].'</span></a>'.$seopress_display_breadcrumbs_close;
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
				}
			} elseif (function_exists('is_wc_endpoint_url') && is_wc_endpoint_url()) { //WooCommerce Endpoint
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_permalink().'" title="'.wp_strip_all_tags(get_the_title()).'"><span itemprop="name">'.get_the_title().'</span></a>'.$seopress_display_breadcrumbs_close;
			}
			//Current page
			if (function_exists('is_wc_endpoint_url') && is_wc_endpoint_url()) {

			} else {
				if (get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true) !='') {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_post_meta(get_the_id(),'_seopress_robots_breadcrumbs',true)).'</span>'.$seopress_display_breadcrumbs_close;
				} else {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_the_title()).'</span>'.$seopress_display_breadcrumbs_close;
				}
			}
			
		}

		//Blog
		if (is_home()) {
			if (is_paged() && get_option('show_on_front') =='page' && get_option('page_for_posts') !='0') {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.$seopress_display_blog_archive[0].$seopress_display_blog_archive[1].$seopress_display_blog_archive[2].$seopress_display_breadcrumbs_close;
			} elseif (get_option('show_on_front') =='page' && get_option('page_for_posts') !='0') {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.$seopress_display_blog_archive[1].$seopress_display_breadcrumbs_close;
			}
		}

		//Post Type Archives
		if (is_post_type_archive( 'tribe_events' )) { //Events calendar
			$post_type = get_post_type_object( 'tribe_events' );
			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<a itemprop="item" href="'.esc_url(tribe_get_events_link()).'" title="'.wp_strip_all_tags($post_type->labels->name).'"><span itemprop="name">'.wp_strip_all_tags($post_type->labels->name).'</span></a>'.$seopress_display_breadcrumbs_close;
		} elseif (is_post_type_archive()) {
			$post_type = get_post_type_object( get_post_type() );
			if ( $post_type =='product' ) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_the_title(get_option( 'woocommerce_shop_page_id' ))).'</span>'.$seopress_display_breadcrumbs_close;
			} elseif(function_exists("is_shop") && is_shop() && is_search()) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<a itemprop="item" href="'.get_permalink( get_option( 'woocommerce_shop_page_id' )).'" title="'.wp_strip_all_tags(get_the_title(get_option( 'woocommerce_shop_page_id' ))).'"><span itemprop="name">'.wp_strip_all_tags(get_the_title(get_option( 'woocommerce_shop_page_id' ))).'</span></a>'.$seopress_display_breadcrumbs_close;
			} elseif(function_exists("is_shop") && is_shop()) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(get_the_title(get_option( 'woocommerce_shop_page_id' ))).'</span>'.$seopress_display_breadcrumbs_close;
			} elseif ($post_type) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags($post_type->labels->name).'</span>'.$seopress_display_breadcrumbs_close;
			} else {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.__('No results','wp-seopress-pro').'</span>'.$seopress_display_breadcrumbs_close;
			}
		}

		//Date Archives
		if (is_date()) {
			if ( is_year() || is_month()) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_year_link(get_the_time('Y')).'" title="'.get_the_time('Y').'"><span itemprop="name">'.get_the_time('Y').'</span></a>'.$seopress_display_breadcrumbs_close;
			}
			if ( is_month()) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.get_the_time('F').'</span>'.$seopress_display_breadcrumbs_close;
			}
		}

		//Author Archives
		if (is_author()) {
			global $author;

			$author_name = get_userdata($author);

			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.__('Author: ','wp-seopress-pro').$author_name->display_name.'</span>'.$seopress_display_breadcrumbs_close;
		}

		//Tag Archives
		if (is_tag()) {
			if (get_option('show_on_front') =='page' && get_option('page_for_posts') !='0') {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.$seopress_display_blog_archive[0].$seopress_display_blog_archive[1].$seopress_display_blog_archive[2].$seopress_display_breadcrumbs_close;
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
			}
			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(single_tag_title('', false)).'</span>'.$seopress_display_breadcrumbs_close;
		}

		//Category Archives
		if (is_category()) {
			if (get_option('show_on_front') =='page' && get_option('page_for_posts') !='0') {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.$seopress_display_blog_archive[0].$seopress_display_blog_archive[1].$seopress_display_blog_archive[2].$seopress_display_breadcrumbs_close;
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
			}
			$current_cat = get_category($GLOBALS['wp_query']->get_queried_object());

			$ancestors_cat = get_ancestors($current_cat->term_id, 'category');

			$ancestors_crumb = array_reverse($ancestors_cat);

			if (!empty($ancestors_crumb)) {
				foreach ($ancestors_crumb as $key => $value) {
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_category_link($value).'" title="'.wp_strip_all_tags(get_cat_name( $value )).'"><span itemprop="name">'.wp_strip_all_tags(get_cat_name( $value )).'</span></a>'.$seopress_display_breadcrumbs_close;
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
				}
			}

			if ( $current_cat && is_paged() ) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<a itemprop="item" href="'.get_term_link($current_cat).'" title="'.$current_cat->name.'"><span itemprop="name">'.$current_cat->name.'</span></a>'.$seopress_display_breadcrumbs_close;
			} else {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags($current_cat->name).'</span>'.$seopress_display_breadcrumbs_close;
			}
		}

		//Taxonomies
		if (is_tax()) {
			$current_term = $GLOBALS['wp_query']->get_queried_object();
			$taxonomy  = get_taxonomy( $current_term->taxonomy );


			if ( 0 != $current_term->parent ) {
				$ancestors_term = get_ancestors( $current_term->term_id, $current_term->taxonomy );

				$ancestors_crumb = array_reverse($ancestors_term);

				foreach ($ancestors_crumb as $key => $value) {
					$current_term_name = get_term( $value, $current_term->taxonomy );
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_term_link($value).'" title="'.wp_strip_all_tags($current_term_name->name).'"><span itemprop="name">'.wp_strip_all_tags($current_term_name->name).'</span></a>'.$seopress_display_breadcrumbs_close;
					$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
				}
			}

			//Shop base
			if ($taxonomy->query_var =='product_cat' || $taxonomy->query_var =='product_tag') {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open.'<a itemprop="item" href="'.get_page_link(get_option( 'woocommerce_shop_page_id' )).'"><span itemprop="name">'.wp_strip_all_tags(get_the_title(get_option( 'woocommerce_shop_page_id' ))).'</span></a>'.$seopress_display_breadcrumbs_close;
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
			}

			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(single_term_title( '', false )).'</span>'.$seopress_display_breadcrumbs_close;
		}

		//Search results
		if (is_search()) {
			if(function_exists("is_shop") && is_shop()) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
			}
			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.__('Search results for: ','wp-seopress-pro').'"'.wp_strip_all_tags(get_search_query()).'"</span>'.$seopress_display_breadcrumbs_close;
		}

		//Pagination
		if (is_paged()) {
			$current_page = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
			if (!is_front_page()) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
			}
			$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.__('Page ','wp-seopress-pro').$current_page.'</span>'.$seopress_display_breadcrumbs_close;
		}

		//WooCommerce Endpoint
		if (function_exists('is_wc_endpoint_url')) {
			if (is_wc_endpoint_url()) {
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_separator;
				$seopress_display_breadcrumbs .= $seopress_display_breadcrumbs_open_current.'<span itemprop="name">'.wp_strip_all_tags(WC()->query->get_endpoint_title( WC()->query->get_current_endpoint() )).'</span>'.$seopress_display_breadcrumbs_close;
			}
			
		}

		//Render
		if ((is_front_page() && is_paged() ) || !is_front_page()) {
			$inline_css = "<style>.breadcrumb ol {list-style: none;margin:0}.breadcrumb li {margin:0;display:inline}</style>";

			$inline_css = apply_filters('seopress_pro_breadcrumbs_css',$inline_css);

			$sp_breadcrumbs = $inline_css;

			$sp_breadcrumbs .= '<nav aria-label="breadcrumb"><ol class="breadcrumb" itemscope itemtype="'.seopress_check_ssl().'schema.org/BreadcrumbList">'.$seopress_display_breadcrumbs.'</ol></nav>';
			
			if ($echo === true) {
				echo $sp_breadcrumbs;
				do_action('seopress_breadcrumbs_after_html');
			} else {
				return $sp_breadcrumbs.do_action('seopress_breadcrumbs_after_html');
			}
		}
	}
	function seopress_shortcode_breadcrumbs(){
		return seopress_display_breadcrumbs();
	}
	add_shortcode( 'seopress_breadcrumbs', 'seopress_shortcode_breadcrumbs' );
}